INTERFACE
SUBROUTINE RADDIAG15 ( KST , KEND ,KGL1, KGL2, KPROMA, KLEV,&
 & LDLAND,&
 & PALBD , PALBP , PAPRS , PAPRSF, PCLFR,&
 & PCC , PCH , PCL , PCM , PCT,&
 & PDP , PEMIS , PGEMU , PMU0 , PSLM,&
 & PT , PTS , PQIWP , PQLWP,&
 & PEMTD , PEMTU , PTRSO,&
 & PLWFC , PLWFT , PSWFC , PSWFT , PTH , PCTRSO , PCEMTR ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
INTEGER(KIND=JPIM),INTENT(IN) :: KGL1
INTEGER(KIND=JPIM),INTENT(IN) :: KGL2
LOGICAL ,INTENT(IN) :: LDLAND(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBD(KPROMA,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBP(KPROMA,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KPROMA,KLEV+1)
REAL(KIND=JPRB) :: PAPRSF(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLFR(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCC(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCH(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCT(KPROMA)
REAL(KIND=JPRB) :: PDP(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KPROMA)
REAL(KIND=JPRB) :: PQIWP(KPROMA,KLEV)
REAL(KIND=JPRB) :: PQLWP(KPROMA,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMTD(KPROMA,KLEV+1)
REAL(KIND=JPRB) :: PEMTU(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTRSO(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLWFC(KPROMA,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLWFT(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSWFC(KPROMA,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSWFT(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTH(KPROMA,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PCTRSO(KPROMA,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PCEMTR(KPROMA,2)
END SUBROUTINE RADDIAG15
END INTERFACE
